## org.w3c.css.sac
Interface SimpleSelector

All Superinterfaces:
  Selector

All Known Subinterfaces:
  CharacterDataSelector, ConditionalSelector, ElementSelector, NegativeSelector, ProcessingInstructionSelector

All Known Implementing Classes:
  AbstractElementSelector, AbstractElementSelector, CSSConditionalSelector, DefaultConditionalSelector

public interface SimpleSelector
extends Selector

This interface is only for constraints on selectors.

A `ConditionalSelector` can only accept a simple selector or a negative selector.

Field Summary

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.